package com.V10lator.TimeEvent;

import java.util.Iterator;

import org.bukkit.block.Block;
import org.bukkit.Material;
import org.bukkit.World;

class EventThread extends Thread
{
  private TimeEvent plugin;
  EventThread(final TimeEvent plugin)
  {
    this.plugin = plugin;
  }
  
  public void run()
  {
	if(plugin.activeStone.isEmpty())
	  return;
	
	Iterator<EventStone> stonei = plugin.activeStone.iterator();
	
	while(stonei.hasNext())
	{
	  EventStone stone = stonei.next();
	  stone.active--;
	  if(stone.active <= 0)
	  {
		World world = plugin.getServer().getWorld(stone.world);
		Block block = world.getBlockAt(stone.x, stone.y, stone.z);
		
		block.setTypeIdAndData(Material.SIGN_POST.getId(), stone.orig, true);
		
		stonei.remove();
		plugin.eventStone.put(block, stone);
	  }
	}
  }
}

